<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
/*
 * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>High Performance Digital Signal Processer Utility Application</title>
	<link rel="stylesheet" href="default.css" type="text/css" />
</head>

<body>

<div id="wrapper">

<div id="logo">
	<h1>Network Benchmark</h1>
</div>

<div id="header">
	<div id="menu">
		<ul>
			<li><a href ="index.html">Welcome</a></li>
			<li><a href="info.cgi">Information</a></li>
			<li><a href="stats.cgi">Statistics</a></li>
			<li><a href="tasks.cgi">Task List</a></li>
			<li class="current_page_item"><a href="bench.html">Benchmarks</a></li>
			<li><a href="diag.cgi">Diagnostics</a></li>
			<li><a href="flash.cgi">Flash</a></li>
			<li class="last"><a href="I2C.html">EEPROM</a></li>
		</ul>
	</div>
</div>

</div>

<div id="page">

	<div id="content" style="width: 800px; height: 410px">
		<hr>
		<table cellpadding="6">
			<tr>
				<td valign="center"><image src="dspchip.gif"></td>
				<td width="100%" align="justify">
					<h2>Network Benchmark </h2>
					<br>
					<p class="howitworks"><b>How it works:</b> The options you 
					select on this form govern how the benchmark is conducted. 
					These options are used to configure a task which is started 
					on the Platform. This task then communicates with an Applet 
					that is started in your Browser. The Applet and the Task on 
					the Platform exchange data over a socket interface. Once the 
					test is complete, the task on the platform calculates the 
					time spent processing the packets and the sends the results 
					back to the Applet for display.&nbsp; Data is sent using 
					1,000 bytes payloads.&nbsp; As an example if you select 10Mb 
					to send, then 10000 packets will be sent.&nbsp; The time calculated takes into 
					account not only the time spent by the device but also the 
					time spent on the wire and in processing by the Applet. The 
					one exception is the UDP Tx test. The calculations for that 
					test only show the device time spent transmitting the 
					packets.</p>

				</td>
			</tr>
		</table>
		<hr><br>
		<div style="padding: 2px;">
			<form method="POST" action="benchmark.cgi">
			<table border="0" width="70%" id="table1">
				<tr>
					<td colspan="2">Select your options then press Execute to 
					run the benchmark</td>
				</tr>
				<tr>
					<td width="20%">&nbsp;</td>
					<td width="79%">&nbsp;</td>
				</tr>
				<tr>
					<td width="20%">Direction</td>
					<td width="79%">
					<input type="radio" name="direction" value="RX" checked > Receive&nbsp;&nbsp;&nbsp;
					<input type="radio" name="direction" value="TX"> Transmit</td>
				</tr>
				<tr>
					<td width="20%">Protocol</td>
					<td width="79%"><input type="radio" value="UDP" checked name="protocol"> UDP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" name="protocol" value="TCP">&nbsp; TCP</td>
				</tr>
				<tr>
					<td width="20%">Mb to Send</td>
					<td width="79%"><select size="1" name="PKTSIZE">
					<option selected>10</option>
					<option>20</option>
					<option>30</option>
					<option>40</option>
					<option>50</option>
					<option>60</option>
					<option>70</option>
					<option>80</option>
					<option>90</option>
					<option>100</option>
					</select></td>
				</tr>
				<tr>
					<td><input type="submit" value="Execute" name="B1"></td>
				</tr>
			</table>
		</form>				
		</div>	
		<br>
		<br>
	</div>
	<div style="clear: both;">&nbsp;</div>
</div>
<div id="footer">
	<p id="legal">( c ) 2010-2011 Texas Instruments Incorporated&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="credit.html">Credits</a> </p>
</div>
</body>
</html>
